complexType "PassThroughItem"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, underlyerReference?, passThroughPercentage?
</...>

Content Model Elements (6):

  passThroughPercentage,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  underlyerReference (in passThroughItem)

All Direct / Indirect Based Elements (1):

  passThroughItem

Known Usage Locations

- As direct type of elements (1):
  passThroughItem

Annotation
Type to represent a single pass through payment.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PassThroughItem"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"/> <xsd:element minOccurs="0" name="passThroughPercentage" type="xsd:decimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
passThroughPercentage

  Type: | xsd:decimal, predefined, simple content

  Percentage of payments from the underlyer which are passed through.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="passThroughPercentage" type="xsd:decimal"/>

underlyerReference

  Type: | AssetReference, empty content

  Reference to the underlyer whose payments are being passed through.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.